import matrix
import shared
import itertools
import functools

# @shared.profile
def part1(rows):
    pass


# @shared.profile
def part2(rows):
    pass


def main():
    rows = [row for row in shared.load_rows(15)]
    with shared.elapsed_timer() as elapsed:
        part1(rows)
        print("🕒", elapsed())
    with shared.elapsed_timer() as elapsed:
        part2(rows)
        print("🕒", elapsed())


if __name__ == "__main__":
    main()
